/*Main servlet of the user*/
import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;
import java.sql.*;
import java.lang.*;
import java.util.*;
import java.util.Date;

public class UserMainServlet extends HttpServlet
{ 
    public HttpSession session;
    public void doGet (HttpServletRequest request, 
		       HttpServletResponse response) 
	throws ServletException, IOException {
	PrintWriter out;
	response.setContentType("text/html");
	String login;
	out=response.getWriter();
	session=request.getSession(false);
	if (session!=null){
	    login=(String)session.getValue("userLogin");
	    UserPageGenerator.userMainPage(out, login);
	}
	else
	    {
		System.out.println("Invalid Session");
	    }
   }
}
